let powerFlower = (output,i1, i2, i3, i4, i5, i7, i8, i9) => {
  onEvent('recipes', e => {
  e.remove({output: output})
  e.recipes.extendedcrafting.shaped_table(output, ['134525431','345777543','458878854','578878875','277797772','578878875','458878854','345777543','134525431'], {1: i1,2: i2,3: i3,4: i4,5: i5,7: i7,8: i8,9: i9,})})}

onEvent('recipes', e => {
  //final power flower
  powerFlower('projectexpansion:final_power_flower','projectexpansion:fading_power_flower','projectexpansion:final_star_shard','extendedcrafting:nether_star_block','projectexpansion:final_compressed_collector','projectexpansion:final_relay','mysticalagradditions:nether_star_crux','mysticalagradditions:creative_essence','projectexpansion:final_emc_link')
  //fading power flower
  powerFlower('projectexpansion:fading_power_flower','projectexpansion:white_power_flower','projectexpansion:colossal_star_omega','extendedcrafting:nether_star_block','projectexpansion:fading_compressed_collector','projectexpansion:fading_relay','projectexpansion:fading_matter','mysticalagradditions:creative_essence','projectexpansion:fading_emc_link')
  //white power flower
  powerFlower('projectexpansion:white_power_flower','projectexpansion:orange_power_flower','projectexpansion:colossal_star_sphere','extendedcrafting:nether_star_block','projectexpansion:white_compressed_collector','projectexpansion:white_relay','projectexpansion:white_matter','mysticalagradditions:insanium_essence','projectexpansion:white_emc_link')
})
